Skip to navigation

List Swatches

This feature is in beta and may change. Requests return 403 until the feature flag is enabled for your site or workspace.

Lists site owned swatches by siteId.

Authentication

x-api-keystring

API key authentication. Accepts either:

  • App API key (e.g. sk_eczMHVBY9fV6GYFhvs53qcnxq7yptlXL3ABKOZtn6dQ)
  • Site API key (UUID format, e.g. 550e8400-e29b-41d4-a716-446655440000)

Query parameters

siteIdstringRequiredformat: "uuid"
The site ID to list swatches from.
limitdoubleOptional1-100Defaults to 20
The maximum number of swatches to return.
startingAfterstringOptionalformat: "uuid"
The pagination cursor. This is used to indicate what ID to list from.

Response

objectenum
Allowed values:
datalist of objects
The site owned swatches on the site.
hasMoreboolean
The flag that indicates whether there are more swatches available.

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error